Changeset 160 for ThirdParty/ASL


Ignore:
Timestamp:
Dec 1, 2006 3:09:49 PM (13 years ago)
Author:
andreasw
Message:

included latest changes from coin.m4

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/trunk/configure

    r158 r160  
    13431343
    13441344# Initialize the ADDLIBS variable
    1345 ADDLIBS='-lm'
     1345ADDLIBS="-lm $LIBS"
    13461346
    13471347
    13481348# Initialize the FADDLIBS variable (which is to be used with a fortran
    13491349# compiler and will not include FLIBS)
    1350 FADDLIBS=
     1350FADDLIBS="$LIBS"
    13511351
    13521352
     
    15861586if test x"$CXX" != x; then
    15871587  case "$CXX" in
    1588     cl*)
     1588    cl* | */cl*)
    15891589      if test x"$CC" = x; then
    15901590        CC="$CXX"
     
    16121612
    16131613# We delete the cached value, since the test might not have been
    1614 # performed with out choise of compilers earlier
     1614# performed with our choice of compilers earlier
    16151615$as_unset ac_cv_prog_CC || test "${ac_cv_prog_CC+set}" != set || { ac_cv_prog_CC=; export ac_cv_prog_CC; }
    16161616ac_ext=c
     
    23272327ac_compiler_gnu=$ac_cv_c_compiler_gnu
    23282328
     2329if test -z "$CC" ; then
     2330  { { echo "$as_me:$LINENO: error: Failed to find a C compiler!" >&5
     2331echo "$as_me: error: Failed to find a C compiler!" >&2;}
     2332   { (exit 1); exit 1; }; }
     2333fi
     2334# Autoconf incorrectly concludes that cl recognises -g. It doesn't.
     2335case "$CC" in
     2336  cl* | */cl*)
     2337    if test "$ac_cv_prog_cc_g" = yes ; then
     2338      ac_cv_prog_cc_g=no
     2339      { echo "$as_me:$LINENO: Overruling autoconf; cl does not recognise -g." >&5
     2340echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
     2341    fi ;;
     2342esac
    23292343CFLAGS="$save_cflags"
    23302344
     
    27122726# Correct ADDLIBS initialization if we are using the MS compiler
    27132727case "$CC" in
    2714   cl*)
     2728  cl* | */cl*)
    27152729    ADDLIBS=
    27162730    case $build in
     
    33563370
    33573371  # If maintainer mode is chosen, we make sure that the correct versions
    3358   # of the tools are used, and that we know where libtoo.m4 is (to
     3372  # of the tools are used, and that we know where libtool.m4 is (to
    33593373  # recreate acinclude.m4)
    33603374
    33613375
    33623376  LIBTOOLM4=
     3377  # Normally, $HOME
     3378  AUTOTOOLS_DFLT=$HOME
    33633379
    33643380  # Check if we have autoconf
     
    34303446  autoconf_dir=`cd $autoconf_dir; pwd`
    34313447  if test x$AUTOTOOLS_DIR = x; then
    3432     want_dir=$HOME/bin
     3448    want_dir=$AUTOTOOLS_DFLT/bin
    34333449  else
    34343450    want_dir=$AUTOTOOLS_DIR/bin
     
    34413457    echo "$as_me:$LINENO: result: no" >&5
    34423458echo "${ECHO_T}no" >&6
    3443     { { echo "$as_me:$LINENO: error: The autoconf executable should be picked up from \$HOME/bin or \$AUTOTOOLS_DIR/bin." >&5
    3444 echo "$as_me: error: The autoconf executable should be picked up from \$HOME/bin or \$AUTOTOOLS_DIR/bin." >&2;}
     3459    { { echo "$as_me:$LINENO: error: The autoconf executable should be picked up from \$AUTOTOOLS_DFLT/bin or \$AUTOTOOLS_DIR/bin." >&5
     3460echo "$as_me: error: The autoconf executable should be picked up from \$AUTOTOOLS_DFLT/bin or \$AUTOTOOLS_DIR/bin." >&2;}
    34453461   { (exit 1); exit 1; }; }
    34463462  fi
     
    35143530  automake_dir=`cd $automake_dir; pwd`
    35153531  if test x$AUTOTOOLS_DIR = x; then
    3516     want_dir=$HOME/bin
     3532    want_dir=$AUTOTOOLS_DFLT/bin
    35173533  else
    35183534    want_dir=$AUTOTOOLS_DIR/bin
     
    35253541    echo "$as_me:$LINENO: result: no" >&5
    35263542echo "${ECHO_T}no" >&6
    3527     { { echo "$as_me:$LINENO: error: The automake executable should be picked up from \$HOME/bin or \$AUTOTOOLS_DIR/bin." >&5
    3528 echo "$as_me: error: The automake executable should be picked up from \$HOME/bin or \$AUTOTOOLS_DIR/bin." >&2;}
     3543    { { echo "$as_me:$LINENO: error: The automake executable should be picked up from \$AUTOTOOLS_DFLT/bin or \$AUTOTOOLS_DIR/bin." >&5
     3544echo "$as_me: error: The automake executable should be picked up from \$AUTOTOOLS_DFLT/bin or \$AUTOTOOLS_DIR/bin." >&2;}
    35293545   { (exit 1); exit 1; }; }
    35303546  fi
     
    35323548  # Check if we can find the libtool file
    35333549  if test x$AUTOTOOLS_DIR = x; then
    3534     want_dir=$HOME/share
     3550    want_dir=$AUTOTOOLS_DFLT/share
    35353551  else
    35363552    want_dir=$AUTOTOOLS_DIR/share
     
    38343850
    38353851case "$CC" in
    3836   cl*) LIBEXT=lib ;;
     3852  cl* | */cl*)
     3853       LIBEXT=lib ;;
    38373854    *) LIBEXT=a ;;
    38383855esac
Note: See TracChangeset for help on using the changeset viewer.